Entrar

Crear área

POST https://{organization}.myguper.com/api/register/team/area

Crea un área en el organigrama. name es el único campo obligatorio.

Si se envía parentId, el CycleGuard valida que la referencia no genere un ciclo en el árbol de áreas y que el padre pertenezca a la misma organización.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "name": "Marketing",
    "parentId": 1,                                              // optional
    "description": "Marketing & Growth",                        // optional
    "data": {                                                   // optional
        "color": "#ff7a00"
    }
}

Respuestas

{
    "id": 2,
    "parentId": 1,
    "name": "Marketing",
    "description": "Marketing & Growth",
    "data": { "color": "#ff7a00" }
}
Copied to clipboard